@echo off
REM ******************************************************
REM *** SRefresh.bat - Screen refresh. Read the screen ***
REM *** ver.2          and rewrite screen contents     ***
REM ***                using standard output           ***
REM ******************************************************

CEnviD %0.bat %1 %2 %3
GOTO CENVI_EXIT

#include <Screen.lib>

ScrHeight = ScreenSize().row;
ScrWidth = ScreenSize().col;

main(argc,argv)
{
   if ( argc != 1 )
      Instructions();
   else {
      GetCursor(SaveCursorRow,SaveCursorCol); // save cursor pos
      ScreenData = GetScreenData();
      ScreenClear();
      fwrite(ScreenData,(ScrHeight * ScrWidth) - 1,stdout);
      SetCursor(SaveCursorRow,SaveCursorCol); // restore cursor pos
   }
}

Instructions()
{
   printf("\a\n")
   printf("SRefresh - Refresh Screen.  Redraw all screen text\n")
   printf("\n")
   printf("SYNTAX: SRefresh\n")
   printf("\n")
}

:CENVI_EXIT
